
Foreman - Bug #11749

new host puppet environment jquery selector too liberal

09/09/2015 11:23 AM - Justin Sherrill

Status: Closed   

Priority: High   

Assignee: Justin Sherrill   

Category: Host creation   

Target version: 1.12.1   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3642

  

Description

When creating a host or hostgroup and selecting just the puppet environment, no puppet classes get loaded on the 'puppet classes'

tab.  The user has to select a lifecycle env and content view and only then will they be loaded.

Once those are selected the user can change the puppet env at will, but this should not be required

Related issues:

Related to Katello - Bug #13988: Hostgroups Puppet Class management  issue Rejected 03/01/2016

Associated revisions

Revision 4eeea973 - 07/14/2016 02:53 AM - Justin Sherrill

Fixes #11749 - puppet env jquery selector more restrictive

This current jquery selector for puppet environment

selection would match any select box where name

included environment_id.  This caused issues with

katello as we put a field containing lifecycle_environment_id

in the form

Revision 70aad752 - 07/22/2016 10:05 AM - Justin Sherrill

Fixes #11749 - puppet env jquery selector more restrictive

This current jquery selector for puppet environment

selection would match any select box where name

included environment_id.  This caused issues with

katello as we put a field containing lifecycle_environment_id

in the form

(cherry picked from commit 4eeea97393e19327f39002e86f0fb4f97415cc1a)

History

#1 - 11/19/2015 12:04 PM - Eric Helms

- translation missing: en.field_release changed from 70 to 86

#2 - 04/26/2016 10:31 AM - Eric Helms

- translation missing: en.field_release changed from 86 to 144

#3 - 06/17/2016 11:09 AM - Eric Helms

- translation missing: en.field_release changed from 144 to 168

#4 - 06/20/2016 08:55 AM - Eric Helms

- translation missing: en.field_release deleted (168)
#5 - 06/22/2016 01:44 PM - Justin Sherrill

- Assignee set to Justin Sherrill

- Priority changed from Normal to High

- translation missing: en.field_release set to 143

- Difficulty changed from easy to medium

#6 - 07/06/2016 01:29 PM - Justin Sherrill

- Related to Bug #13988: Hostgroups Puppet Class management  issue added

#7 - 07/12/2016 10:45 AM - Justin Sherrill

- Project changed from Katello to Foreman

- Subject changed from puppet class population on new host/hostgroup page requires lifecycle env/content view selection to new host puppet

environment jquery selector too liberal

- Category changed from 83 to Host creation

- Status changed from New to Assigned

This appears to be a result of https://github.com/theforeman/foreman/blob/develop/app/assets/javascripts/application.js#L387

this selector:

$('select[name*=environment_id]')

seems to be matching 'name=host[environment_id]' but its also matching  'name=host[content_facet_attributes][lifecycle_environment_id]'

We should make the selector more restrictive.  Moving to foreman

#8 - 07/12/2016 10:47 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3642 added

#9 - 07/12/2016 10:49 AM - Dominic Cleal

- translation missing: en.field_release deleted (143)

#10 - 07/14/2016 03:01 AM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4eeea97393e19327f39002e86f0fb4f97415cc1a.

#11 - 07/14/2016 04:12 AM - Dominic Cleal

- translation missing: en.field_release set to 161
